Skip to main content
`Ctrl`+`K`

# PetscSetDebugger

Sets options associated with the debugger.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscSetDebugger(const char debugger[], PetscBool usedebugterminal)

Not Collective; No Fortran Support

## Input Parameters

- debugger - name of debugger, which should be in your path, usually “lldb”, “dbx”, “gdb”, “cuda-gdb”, “idb”, “xxgdb”, “kdgb” or “ddd”. Also, HP-UX supports “xdb”, and IBM rs6000 supports “xldb”.

- usedebugterminal - flag to indicate debugger window, set to either `PETSC_TRUE` (to indicate debugger should be started in a new terminal window) or `PETSC_FALSE` (to start debugger in initial window (the option `PETSC_FALSE` makes no sense when using more than one MPI process.)

## See Also

`PetscAttachDebugger()`, `PetscAttachDebuggerErrorHandler()`, `PetscSetDebugTerminal()`

## Level

developer

## Location

src/sys/error/adebug.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages